import { AbstractControl, AbstractControlDirective, FormControlName, FormGroupName } from '@angular/forms';
import { ValidationMessage } from './model/ValidationMessage';
export declare class ValidationMessageComponent {
    formControlName: FormControlName;
    get standalone(): boolean;
    for: AbstractControl;
    get messages(): ValidationMessage[];
    get firstMessage(): ValidationMessage;
    get controlPath(): string;
    acd: AbstractControlDirective;
    constructor(formControlName: FormControlName, formGroupName: FormGroupName);
    private getValidationMessages;
}
